Package org.apache.tapestry5.grid

# Enum ColumnSort

java.lang.Object
java.lang.Enum<ColumnSort>
org.apache.tapestry5.grid.ColumnSort

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnSort>`, `java.lang.constant.Constable`

public enum ColumnSort extends Enum<ColumnSort>
Identifies how a column within a `GridSortModel` is sorted.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCENDING`
  A sort column and sorted in ascending order.
  `DESCENDING`
  A sort column, and sorted in descending order.
  `UNSORTED`
  Not a sort column.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ColumnSort`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static ColumnSort[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASCENDING

    public static final ColumnSort ASCENDING
    A sort column and sorted in ascending order.

  - ### DESCENDING

    public static final ColumnSort DESCENDING
    A sort column, and sorted in descending order.

  - ### UNSORTED

    public static final ColumnSort UNSORTED
    Not a sort column.

- ## Method Details

  - ### values

    public static ColumnSort[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ColumnSort valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null